package com.diaoyun.zion.chinafrica.service.impl;

import com.diaoyun.zion.chinafrica.dao.TbCfCommentsReplyDao;
import com.diaoyun.zion.chinafrica.entity.TbCfCommentsReplyEntity;
import com.diaoyun.zion.chinafrica.service.TbCfCommentsReplyService;
import com.diaoyun.zion.master.util.IdUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * Service实现类
 *
 * @author lipengjun
 * @date 2019-10-26 17:13:28
 */
@Service("tbCfCommentsReplyService")
public class TbCfCommentsReplyServiceImpl implements TbCfCommentsReplyService {
    @Autowired
    private TbCfCommentsReplyDao tbCfCommentsReplyDao;

    @Override
    public int delete(String commentsId) {
        return tbCfCommentsReplyDao.delete(commentsId);
    }

    @Override
    public int save(TbCfCommentsReplyEntity tbCfCommentsReply) {
        tbCfCommentsReply.getCommentsId(IdUtil.createIdbyUUID());
        return tbCfCommentsReplyDao.save(tbCfCommentsReply);
    }

    @Override
    public List<TbCfCommentsReplyEntity> findByCommentId(String commentsId) {
        return null;
    }
}
